@import "../base/variable.scss";
@import "../base/mixins.scss";

.complete_project_section{
    padding-top: 220px;
    padding-bottom: 220px;
    .content_box_area{
        .row{
            overflow: unset !important;
        }
        .content_box{
            margin-bottom: 30px;
            position: relative;
            .image{
                width: 100%;
                height: 496px;
                img{
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }
            }
            .content{
                position: absolute;
                bottom: 0;
                left: 0;
                opacity: 0;
                &.news{
                    opacity: 1;
                }
                @include transition(0.3s ease);
                .inner_area{
                    background-color: $light_blue;
                    padding: 30px 20px;
                    h4{
                        font-size: 24px;
                        font-weight: 500;
                        color: $white;
                    }
                    p{
                        font-size: 14px;
                        font-weight: 300;
                        line-height: 21px;
                        color: $white;
                        padding-top: 10px;
                        padding-bottom: 12px;
                    }
                    a{
                        font-size: 14px;
                        font-weight: 300;
                        color: $white;
                        i{
                            font-size: 12px;
                        }
                    }
                }
            }
            &:hover{
                .content{
                    opacity: 1;
                    @include transition(0.3s ease);
                }
            }
        }
    }
    .picture-item{
        &:nth-child(2){
            margin-top:-120px;
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .complete_project_section{
        padding-top: 180px;
        padding-bottom: 160px;
        .content_box_area{
            .content_box{
                .content{
                    opacity: 1;
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .complete_project_section{
        padding-top: 180px;
        padding-bottom: 100px;
        .content_box_area{
            .content_box{
                .image{
                    height: 350px;
                }
                .content{
                    opacity: 1;
                    .inner_area{
                        padding: 10px 13px;
                        h4{
                            font-size: 18px;
                        }
                        p{
                            font-size: 12px;
                            padding-top: 6px;
                            padding-bottom: 0px;
                            line-height: 19px;
                        }
                        a{
                            font-size: 12px;
                            i{
                                font-size: 10px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .complete_project_section{
        padding-top: 180px;
        padding-bottom: 100px;
        .content_box_area{
            .content_box{
                .image{
                    height: 344px;
                }
                .content{
                    opacity: 1;
                    .inner_area{
                        padding: 8px 10px;
                        h4{
                            font-size: 16px;
                        }
                        p{
                            font-size: 10px;
                            padding-top: 0px;
                            padding-bottom: 0px;
                            line-height: 16px;
                        }
                        a{
                            font-size: 10px;
                            i{
                                font-size: 8px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .complete_project_section{
        padding-top: 30px;
        padding-bottom: 20px;
        .content_box_area{
            .content_box{
                margin-bottom: 20px;
                .content{
                    opacity: 1;
                    .inner_area{
                        padding-top: 12px;
                        padding-bottom: 12px;
                        padding-left: 10px;
                        padding-right: 10px;
                        h4{
                            font-size: 20px;
                        }
                        p{
                            font-size: 12px;
                            padding-top: 6px;
                            padding-bottom: 3px;
                            line-height: 20px;
                        }
                        a{
                            font-size: 12px;
                            i{
                                font-size: 10px;
                            }
                        }
                    }
                }
            }
        }
        .picture-item{
            &:nth-child(2){
                margin-top:0px;
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .complete_project_section{
        padding-top: 25px;
        padding-bottom: 25px;
        .content_box_area{
            .content_box{
                margin-bottom: 15px;
                .content{
                    opacity: 1;
                    .inner_area{
                        padding-top: 10px;
                        padding-bottom: 12px;
                        padding-left: 10px;
                        padding-right: 10px;
                        h4{
                            font-size: 20px;
                        }
                        p{
                            font-size: 12px;
                            padding-top: 6px;
                            padding-bottom: 3px;
                            line-height: 20px;
                        }
                        a{
                            font-size: 12px;
                            i{
                                font-size: 10px;
                            }
                        }
                    }
                }
            }
        }
        .picture-item{
            &:nth-child(2){
                margin-top:0px;
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}